const bitSensorError = require('../core/bitsensor_error');
const { application } = require('express');
const server = require('_http_server');

const { Server } = server;

require('http').createServer = (requestListener) => {
  requestListener.use(bitSensorError);
  return new Server(requestListener);
};

require('https').createServer = function createServer(opts, requestListener) {
  requestListener.use(bitSensorError);
  return new require('https').Server(opts, requestListener);
};

require('express').application = application;
